XDrawString(3X11)

NAME
XDrawString, XDrawString16 - draw text characters

SYNTAX
XDrawString(display, d, gc, x, y, string, length)
      Display *display;
      Drawable d;
      GC gc;
      int x, y;
      char *string;
      int length;

XDrawString16(display, d, gc, x, y, string, length)
      Display *display;
      Drawable d;
      GC gc;
      int x, y;
      XChar2b *string;
      int length;

ARGUMENTS

d   Specifies the drawable.

display
    Specifies the connection to the X server.

gc  Specifies the GC.

length
    Specifies the number of characters in the string argument.

string
    Specifies the character string. and define the origin of the first character

x

y   Specify the x and y coordinates, which are relative to the origin of the specified drawable.

DESCRIPTION
Each character image, as defined by the font in the GC, is treated as an additional mask for a fill operation on the drawable. The drawable is modified only where the font character has a bit set to 1. For fonts defined with 2-byte matrix indexing and used with each byte is used as a byte2 with a byte1 of zero.

Both functions use these GC components: function, plane-mask, fill-style, font, subwindow-mode, clip-x-origin, clip-y-origin, and clip-mask. They also use these GC mode-dependent components: foreground, background, tile, stipple, tile-stipple-x-origin, and tile-stipple-y-origin.

and can generate and errors.

DIAGNOSTICS

A value for a Drawable argument does not name a defined Window or Pixmap.

A value for a GContext argument does not name a defined GContext.

An  window is used as a Drawable.

Some argument or pair of arguments has the correct type and range but fails
    to match in some other way required by the request.

SEE ALSO
XDrawImageString(3X11), XDrawText(3X11), XLoadFont(3X11)
Xlib - C Language X Interface